import 'package:secure_string_operations/secure_string_operations.dart';

import '../../constant/char_map.dart';
import '../../main.dart';

class Sss {
  static read(String boxname) async {
    return box.read(X.r(X.r(X.r(boxname, cn), cC), cs));
  }

  static write(String boxname, value) async {
    return box.write(boxname, X.c(X.c(X.c(value, cn), cC), cs));
  }

  static delete(String boxname) async {
    return box.remove(boxname);
  }
}
